JGraph X 1.3.0.0

## com.mxgraph.swing.handler
Class mxElbowEdgeHandler

    java.lang.Object
      com.mxgraph.swing.handler.mxCellHandler
          com.mxgraph.swing.handler.mxEdgeHandler
              com.mxgraph.swing.handler.mxElbowEdgeHandler

    public class mxElbowEdgeHandler

extends mxEdgeHandler

Field Summary

Fields inherited from class com.mxgraph.swing.handler.mxEdgeHandler
`cloneEnabled, constrainedEvent, error, gridEnabledEvent, marker, p`

Fields inherited from class com.mxgraph.swing.handler.mxCellHandler
`bounds, first, graphComponent, handles, handlesVisible, index, preview, state`

Constructor Summary
`mxElbowEdgeHandler(mxGraphComponent graphComponent, mxCellState state)`

Method Summary
`protected java.awt.Rectangle[]` `createHandles()` Creates the rectangles that define the handles.
`java.lang.String` `getToolTipText(java.awt.event.MouseEvent e)` Hook for subclassers to return tooltip texts for certain points on the handle.
`protected boolean` `isFlipEvent(java.awt.event.MouseEvent e)`
`boolean` `isLabel(int index)` Returns true if the given index is the index of the last handle.

Methods inherited from class com.mxgraph.swing.handler.mxEdgeHandler
`connect, convertPoint, createHandle, createHandle, createPoints, createPreview, getCursor, getHandleFillColor, getIndexAt, getPreviewBounds, getSelectionColor, getSelectionStroke, isCellBendable, isCloneEnabled, isHandleVisible, isIgnoredEvent, isSource, isTarget, mouseDragged, mousePressed, mouseReleased, moveLabelTo, movePoint, paint, setCloneEnabled, validateConnection`

Methods inherited from class com.mxgraph.swing.handler.mxCellHandler
`getBounds, getHandleBorderColor, getHandleCount, getState, isActive, isHandleEnabled, isHandlesVisible, isLabelMovable, mouseMoved, refresh, reset, setHandlesVisible, start`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxElbowEdgeHandler

    public mxElbowEdgeHandler(mxGraphComponent graphComponent,
                              mxCellState state)

Parameters:
  `graphComponent` -
  `state` -

Method Detail

### getToolTipText

    public java.lang.String getToolTipText(java.awt.event.MouseEvent e)

  Hook for subclassers to return tooltip texts for certain points on the handle.

  Overrides:
    `getToolTipText` in class `mxCellHandler`

### isFlipEvent

    protected boolean isFlipEvent(java.awt.event.MouseEvent e)

  Overrides:
    `isFlipEvent` in class `mxEdgeHandler`

### isLabel

    public boolean isLabel(int index)

  Returns true if the given index is the index of the last handle.

  Overrides:
    `isLabel` in class `mxCellHandler`

### createHandles

    protected java.awt.Rectangle[] createHandles()

  Description copied from class: `mxCellHandler`
  Creates the rectangles that define the handles.

  Overrides:
    `createHandles` in class `mxEdgeHandler`

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.